From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/imath/
Date: Tue, 4 May 2021 22:02:52 +0000 (UTC) [thread overview]
Message-ID: <1620165735.ab42e90c0df8cb286b35d6f27d0e7fbe6011e73d.sam@gentoo> (raw)
commit: ab42e90c0df8cb286b35d6f27d0e7fbe6011e73d
Author: Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Tue Mar 16 16:28:34 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 4 22:02:15 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab42e90c
dev-libs/imath: new package
Package starts with version 3.0.1, as it was historically
outsourced from the ilmbase / openexr packages.
Closes: https://bugs.gentoo.org/776607
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/imath/Manifest | 1 +
dev-libs/imath/imath-3.0.1.ebuild | 90 +++++++++++++++++++++++++++++++++++++++
dev-libs/imath/metadata.xml | 25 +++++++++++
3 files changed, 116 insertions(+)
diff --git a/dev-libs/imath/Manifest b/dev-libs/imath/Manifest
new file mode 100644
index 00000000000..6778d92c9bd
--- /dev/null
+++ b/dev-libs/imath/Manifest
@@ -0,0 +1 @@
+DIST imath-3.0.1.tar.gz 527715 BLAKE2B 45d8f6524fd2505bdb3318f571c44228c9baf6df869d194d4b90a9c045f1dbb8f905253aeaf6b6a9254e4b0c0c19d753b7e4ae068732f0367fc936d4a111520d SHA512 40cdae81d624636b3dd7eb456e6e205e5b7adf7aed17f6e9168374f8830f1b5755dcd32ac790f94e768513d06ab96d94a2bc57ec80a079e4ac94a3857e5e3988
diff --git a/dev-libs/imath/imath-3.0.1.ebuild b/dev-libs/imath/imath-3.0.1.ebuild
new file mode 100644
index 00000000000..bf6da0d3e7e
--- /dev/null
+++ b/dev-libs/imath/imath-3.0.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9} )
+
+inherit cmake python-single-r1
+
+MY_PN=Imath
+
+DESCRIPTION="Imath basic math package"
+HOMEPAGE="https://imath.readthedocs.io"
+SRC_URI="https://github.com/AcademySoftwareFoundation/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+# re-keywording needed for (according to ilmbase keywords):
+# ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x64-macos ~x86-solaris
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="BSD"
+SLOT="0/27"
+IUSE="doc large-stack python static-libs test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# libImath.so conflicts with ilmbase
+RDEPEND="
+ !media-libs/ilmbase
+ sys-libs/zlib
+ python? (
+ !dev-python/pyilmbase
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-libs/boost:=[python?,${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ ')
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( $(python_gen_cond_dep 'dev-python/breathe[${PYTHON_MULTI_USEDEP}]') )
+ python? ( ${PYTHON_DEPS} )
+"
+
+DOCS=( CHANGES.md CONTRIBUTORS.md README.md SECURITY.md docs/PortingGuide2-3.md )
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=$(usex !static-libs)
+ -DIMATH_ENABLE_LARGE_STACK=$(usex large-stack)
+ -DIMATH_INSTALL_PKG_CONFIG=ON
+ -DIMATH_USE_CLANG_TIDY=OFF
+ )
+
+ if use python; then
+ mycmakeargs+=(
+ -DPYTHON=ON
+ -DPython3_EXECUTABLE="${PYTHON}"
+ -DPython3_INCLUDE_DIR=$(python_get_includedir)
+ -DPython3_LIBRARY=$(python_get_library_path)
+ )
+ fi
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+
+ if use doc; then
+ pushd "${S}"/docs 2>/dev/null || die
+ doxygen || die
+ emake html
+ popd 2>/dev/null || die
+ fi
+}
+
+src_install() {
+ cmake_src_install
+
+ if use doc; then
+ HTML_DOCS=( "${S}/docs/_build/html/." )
+ einstalldocs
+ fi
+}
diff --git a/dev-libs/imath/metadata.xml b/dev-libs/imath/metadata.xml
new file mode 100644
index 00000000000..e33071a5235
--- /dev/null
+++ b/dev-libs/imath/metadata.xml
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>waebbl-gentoo@posteo.net</email>
+ <name>Bernd Waibel</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <description>Gentoo Proxy Maintainers</description>
+ </maintainer>
+ <longdescription>
+ Basic, light-weight C++ library for efficient representation of 2D
+ and 3D vectors and matrices and data type common to computer graphics
+ applications.
+ </longdescription>
+ <use>
+ <flag name="large-stack">
+ Enables code to take advantage of large stack support
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="github">AcademySoftwareFoundation/Imath</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2021-05-04 22:03 UTC|newest]
Thread overview: 62+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-04 22:02 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-05-31 17:43 [gentoo-commits] repo/gentoo:master commit in: dev-libs/imath/ Sergei Trofimovich
2021-06-29 18:59 Sergei Trofimovich
2021-07-08 7:09 Sergei Trofimovich
2021-07-08 7:11 Sergei Trofimovich
2021-07-21 21:57 Marek Szuba
2021-07-21 21:57 Marek Szuba
2021-07-23 7:41 Joonas Niilola
2021-07-23 7:41 Joonas Niilola
2021-07-25 1:10 Sam James
2021-07-27 3:27 Sam James
2021-07-31 22:26 Joshua Kinard
2021-08-01 7:14 Joonas Niilola
2021-10-17 2:22 Sam James
2021-10-27 4:14 Sam James
2021-10-27 22:33 Sam James
2021-12-29 13:46 Yixun Lan
2022-01-24 9:25 Jakov Smolić
2022-01-26 19:12 Arthur Zamarin
2022-01-27 9:03 Andreas Sturmlechner
2022-02-02 7:54 Sam James
2022-02-11 16:30 Sam James
2022-02-15 19:51 Sam James
2022-02-18 22:48 Sam James
2022-02-28 5:21 Sam James
2022-02-28 23:58 Sam James
2022-03-01 0:02 Sam James
2022-03-01 1:12 Sam James
2022-04-08 12:31 Joonas Niilola
2022-04-21 13:00 Jakov Smolić
2022-04-22 18:18 Arthur Zamarin
2022-05-17 12:48 WANG Xuerui
2022-09-28 9:55 Joonas Niilola
2022-11-23 17:55 Joonas Niilola
2023-01-11 7:55 Sam James
2023-01-11 7:55 Sam James
2023-01-12 6:38 Joonas Niilola
2023-01-13 0:15 Yixun Lan
2023-04-03 7:05 Viorel Munteanu
2023-04-03 7:05 Viorel Munteanu
2023-04-03 7:12 Viorel Munteanu
2023-05-06 9:03 Arthur Zamarin
2023-05-06 9:11 Arthur Zamarin
2023-05-06 9:17 Arthur Zamarin
2023-05-20 12:32 Joonas Niilola
2023-06-03 13:17 Joonas Niilola
2024-02-20 18:33 Arthur Zamarin
2024-03-08 9:44 Arthur Zamarin
2024-04-09 17:32 Arthur Zamarin
2024-04-09 17:32 Arthur Zamarin
2024-04-09 22:47 Sam James
2024-06-04 7:13 Sam James
2024-06-11 18:15 Sam James
2024-06-11 20:35 Sam James
2024-06-11 20:35 Sam James
2024-08-25 12:04 Andreas K. Hüttel
2025-01-05 20:35 Sam James
2025-01-05 20:35 Sam James
2025-02-12 17:12 Sam James
2025-02-12 19:25 Arthur Zamarin
2025-02-12 19:25 Arthur Zamarin
2025-02-19 20:22 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1620165735.ab42e90c0df8cb286b35d6f27d0e7fbe6011e73d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox